
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was simfqt-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/simfqt" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

#
# Config file for the SimFQT package. It defines the following variables:
#  SIMFQT_VERSION      - version of SimFQT
#  SIMFQT_BINARY_DIRS  - binary directories for SimFQT
#  SIMFQT_INCLUDE_DIRS - include directories for SimFQT
#  SIMFQT_LIBRARY_DIRS - library directories for SimFQT (normally not used!)
#  SIMFQT_LIBRARIES    - libraries to link against
#  SIMFQT_EXECUTABLES  - the SimFQT binaries/executables

# Tell the user project where to find SimFQT headers and libraries
set (SIMFQT_VERSION "1.00.10")
set (SIMFQT_BINARY_DIRS "${PACKAGE_PREFIX_DIR}/bin")
set (SIMFQT_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set (SIMFQT_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib64")

# Library dependencies for SimFQT (contains definitions for the SimFQT IMPORTED
# targets)
include ("${CMAKE_CURRENT_LIST_DIR}/simfqt-library-depends.cmake")

# These are the SimFQT IMPORTED targets, created by simfqt-library-depends.cmake
set (SIMFQT_LIBRARIES simfqtlib)
set (SIMFQT_EXECUTABLES simfqt simfqt_parseFareRules)
